Bug 1546960 - Typo error in __dht_check_free_space function log message
Summary: Typo error in __dht_check_free_space function log message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1547128 1547841 1547842
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-02-20 07:14 UTC by Prasad Desala
Modified: 2018-09-04 06:43 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1547127 1547128 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:42:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:52 UTC

Description Prasad Desala 2018-02-20 07:14:25 UTC
Description of problem:
======================
There is a type error in __dht_check_free_space function log message.

[2018-02-20 05:34:48.556248] W [MSGID: 109023] [dht-rebalance.c:962:__dht_check_free_space] 0-distrepx3-dht: data movement of file {blocks:7 name:(/1/linux-4.6.4/Documentation/device-mapper/era.txt) } would result in dst node (distrepx3-replicate-1:41274488) having lower disk space then the source node (distrepx3-replicate-2:41445560).Skipping file.

Message "then the source node" has to be corrected to "than the source node"

And we can remove the extra space before closing flower brace {blocks:7 name:(/1/linux-4.6.4/Documentation/device-mapper/era.txt) }

Version-Release number of selected component (if applicable):
3.12.2-4.el7rhgs.x86_64

Steps to Reproduce:
====================
1) create a gluster volume and start it.
2) FUSE mount on a volume and start IO.
3) Add bricks to the volume and, make sure that there is some space discrepancy 
4) start the rebalance without force option
gluster volume rebalance <vol> start 
5) Check the status of rebalance and make sure that some skipped files are there

Actual results:
================
Log message has typo at then
"lower disk space then the source node" 

Expected results:
=================
Fix typo.

Comment 6 Prasad Desala 2018-04-12 07:17:10 UTC
Verified this BZ on glusterfs version: 3.12.2-7.el7rhgs.x86_64

Typo in __dht_check_free_space is fixed.

[2018-04-12 07:11:22.539731] W [MSGID: 109023] [dht-rebalance.c:962:__dht_check_free_space] 0-ec-dht: data movement of file {blocks:4 name:(/linux-4.9.27/Documentation/devicetree/bindings/arm/omap/l3-noc.txt)} would result in dst node (ec-disperse-2:138781376) having lower disk space than the source node (ec-disperse-3:138784704).Skipping file.

Moving this BZ to Verified.

Comment 8 errata-xmlrpc 2018-09-04 06:42:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.